`<attDef>` | (attribute definition) contains the definition of a single attribute.
Attributes: |
`usage` | specifies the optionality of an attribute or element.
| Datatype: (req|mwa|rec|rwa|opt)
| Legal values: |
`req` | required
`mwa` | mandatory when applicable
`rec` | recommended
`rwa` | recommended when applicable
`opt` | optional
| Default: opt

Example

     <attDef usage=rec>
    <attName>type</attName>
    <desc>specifies a name conventionally used
    for this level of subdivision, e.g. <q>act</q>,
    <q>volume</q>, <q>book</q>, <q>section</q>, <q>canto</q>, etc.</desc>
    <dataType>CDATA
    <valDesc>any string of characters</valDesc>
    <default>#CURRENT
    </attDef>

Tagset auxiliary tag set for tag set declarations
Class
Filename `teitsd2`
Content:
Parents attList
Children attName dataType default desc eg equiv remarks rs valDesc valList
Declaration

    <!ELEMENT attDef        - O  (attName, rs?, desc, (dataType,
                                 (valList | valDesc)?), default,
                                 eg?, remarks?, equiv*)             >
    <!ATTLIST attDef             %a.global
              usage              (req | mwa | rec | rwa | opt)
                                                     opt            >

See 27.1.1

Back to index